*{
    margin: 0px;
    padding: 0px;
}

html{
    background-color: black;

}

.galeria{

    position: absolute;
    display: grid;
    grid-template-columns: repeat(4, 1fr); /* Aquí estableces 4 columnas con el mismo ancho */
    width: 100%;
    margin-top: 10%;
    gap: 10px;
    padding: 40px;
    overflow: auto;
    justify-content: center;
}

.galeria > a{
    display: block;
    position: relative;
    overflow: hidden;
    box-shadow: 0 0 6px rgba(0,0,0,.3);
}

.galeria img{
    width: 100%;
    vertical-align: top;
    height: 300px;
    object-fit: cover;
    transition: transform 0.5s;
}

.galeria a:hover img{
    
    transform: rotate(10deg) scale(1.3);
}

.light-box {
    position: absolute;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, .5);
    width: 100%;
    height: 100vh;
    z-index: 99999;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: transform .3s ease-in-out;
    transform: scale(0);
    background-size: cover;
}

.light-box img {
    max-width: 90%;
    max-height: 90%;
    object-fit: contain;
}


.light-box:target {
    transform: scale(1);
}

.light-box .close {
    position: absolute;
    top: 20px;
    right: 20px;
    background: rgb(248, 107, 13);

    text-decoration: none;
    width: 40px;
    height: 40px;
    text-align: center;
    line-height: 40px;
    border-radius: 50%;
    z-index: 10;
    transition: 0.15s ease-in-out;
}
.light-box .close:hover {
    transform: scale(1.15);
    background-color: rgb(248, 107, 13);
    color: aliceblue;
    font-weight: bolder;
}



.next>svg{
    position: fixed;
    right: 20px;
    top: 50%;
    height: 40px;
    line-height: 40px;
    text-decoration: none;
    text-align: center;
    z-index: 10;
    width: 40px;
    border-radius: 100%;
    margin: 3vh;
    transition: 0.15s ease-in-out;
}
.prev>svg {
    position: fixed;
    left: 20px;
    top: 50%;
    height: 40px;
    line-height: 40px;
    text-decoration: none;
    text-align: center;
    z-index: 10;
    width: 40px;
    border-radius: 100%;
    margin: 3vh;
    transition: 0.15s ease-in-out;

}




.next>svg:hover,
.prev>svg:hover{
  transform: scale(1.15);
  fill: rgb(248, 107, 13);
  background-color: aliceblue;
}

